#ifndef U_MEMORY_H
#define U_MEMORY_H
//==================================================================================
//
//		File: UMemory.h
//		Version: 1.00
//
//		Provides memory allocation and freeing.
//
//		Copyright(c) 2002 - Sir_General
//
//==================================================================================
//		REQUIRED HEADER FILES
//==================================================================================

//==================================================================================
//		TYPEDEFS / ENUMERATIONS / DEFINES
//==================================================================================

//==================================================================================
//		CLASSES
//==================================================================================

//==================================================================================
//		PUBLIC VARIABLES
//==================================================================================

//==================================================================================
//		PUBLIC FUNCTIONS
//==================================================================================

//Name: UMemAlloc
//Function: Allocates a block of memory and returns a pointer
void *UMemAlloc(int iSize);

//Name: UMemRealloc
//Function: Reallocates a block of memory with a new size
void *UMemRealloc(void *pMem, int iSize);

//Name: UMemFree
//Function: Frees an allocated block of memory
void UMemFree(void *pMem);

//==================================================================================
//		TRAILING HEADERS
//==================================================================================

//==================================================================================
#endif